Explicitly rotate the key in the secretstream state

- « sodium_crypto_secretstream_xchacha20poly1305_push

- sodium_crypto_shorthash_keygen »

- PHP Manual
- Sodium Functions
- Explicitly rotate the key in the secretstream state

# sodium_crypto_secretstream_xchacha20poly1305_rekey

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_secretstream_xchacha20poly1305_rekey — Explicitly rotate the key in the secretstream state

### Description

sodium_crypto_secretstream_xchacha20poly1305_rekey(string `&$state`): void

Explicitly rotate the key in the secretstream state. Overwrites the value passed in.

### Parameters

`state`

  Secretstream state.

### Return Values

No value is returned.